Memory Stores
Get a memory store
Retrieves the specified memory store and its current configuration.
Üst bilgi parametreleri
Foundry-Features
enum
gerekli
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Yol parametreleri
name
string
gerekli
The name of the memory store to retrieve.
Sorgu parametreleri
api-version
string
gerekli
The API version to use for this operation.
Yanıtlar
The request has succeeded.
Gövde
object
enum
gerekli
The object type, which is always 'memory_store'.
id
string
gerekli
The unique identifier of the memory store.
name
string
gerekli
The name of the memory store.
description
string
A human-readable description of the memory store.
metadata
object
Arbitrary key-value metadata to associate with the memory store.
definition
default
gerekli
Base definition for memory store configurations.
default
MemoryStoreDefaultDefinition
Default memory store implementation.
kind
enum
gerekli
The kind of the memory store.
chat_model
string
gerekli
The name or identifier of the chat completion model deployment used for memory processing.
embedding_model
string
gerekli
The name or identifier of the embedding model deployment used for memory processing.
options
MemoryStoreDefaultOptions
Default memory store configurations.
user_profile_enabled
boolean
gerekli
Whether to enable user profile extraction and storage. Default is true.
user_profile_details
string
Specific categories or types of user profile information to extract and store.
chat_summary_enabled
boolean
gerekli
Whether to enable chat summary extraction and storage. Defaults to true.
procedural_memory_enabled
boolean
Whether to enable procedural memory extraction and storage. The service defaults to true if a value is not specified by the caller.
default_ttl_seconds
integer
The default time-to-live for memories in seconds. A value of 0 indicates that memories do not expire. Defaults to 0.
İstek
GET /memory_stores/{name} HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json